import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/submit',
    method: 'post',
    data: row
  })
}

export const payForBonus = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/payForBonus',
    method: 'post',
    data: row
  })
}

export const withdrawForBonus = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusrecords/withdrawForBonus',
    method: 'post',
    data: row
  })
}

